Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.algorithms.alignment
Enum Alignment.AlignmentType

    java.lang.Object
      java.lang.Enum<Alignment.AlignmentType>
          de.jstacs.algorithms.alignment.Alignment.AlignmentType

All Implemented Interfaces:
  Serializable, Comparable<Alignment.AlignmentType>

Enclosing class:
  Alignment

    public static enum Alignment.AlignmentType

extends Enum<Alignment.AlignmentType>

Author:
  Jens Keilwagen

Enum Constant Summary
`GLOBAL` The global version of an alignment aligns two complete sequences.
`LOCAL` The local version of an alignment aligns a subsequence of the first sequence with a subsequence of the second sequence.
`SEMI_GLOBAL` The semi global version of an alignment allows gaps at the begin and at the end of the second sequence without any costs.

Method Summary
`static Alignment.AlignmentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Alignment.AlignmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GLOBAL

    public static final Alignment.AlignmentType GLOBAL

  The global version of an alignment aligns two complete sequences.

### SEMI_GLOBAL

    public static final Alignment.AlignmentType SEMI_GLOBAL

  The semi global version of an alignment allows gaps at the begin and at the end of the second sequence without any costs.

### LOCAL

    public static final Alignment.AlignmentType LOCAL

  The local version of an alignment aligns a subsequence of the first sequence with a subsequence of the second sequence.

Method Detail

### values

    public static Alignment.AlignmentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Alignment.AlignmentType c : Alignment.AlignmentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Alignment.AlignmentType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD